automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [PATCH] tests: fix spurious failures in yflags*.test


From: Stefano Lattarini
Subject: Re: [PATCH] tests: fix spurious failures in yflags*.test
Date: Sat, 22 Jan 2011 14:57:19 +0100
User-agent: KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; )

On Saturday 22 January 2011, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Sat, Jan 22, 2011 at 01:57:45PM CET:
> > Hmpf.  The tests `yflags.test' and `yflags2.test' fail if an environment
> > variable YACC is defined, because they call `make -e', thus letting the
> > value of that variable override the value we forced at configure time.
> > 
> > The attached patch fixes this.
> > 
> > OK for a temporary branch yflags-test-fixes (stemming out of commit
> > v1.11-136-gfee7d0d "Fix minor testsuite issues, update docs, for
> > Yacc/Lex changes"), to be merged into maint and yacc-work?
> 
> Can't you `unset YACC || :' in the tests?  That would seem like a more
> obviously-safe workaround.
>
Yes, that's batter.  And shorter.

> Consider that preapproved
>
Thanks.  Attached is what I pushed and merged to maint an yacc-work.

Regards,
  Stefano
From c876b0e062a41150a667470e250794efed83f721 Mon Sep 17 00:00:00 2001
From: Stefano Lattarini <address@hidden>
Date: Sat, 22 Jan 2011 13:32:14 +0100
Subject: [PATCH] tests: fix spurious failures in yflags*.test

* tests/yflags.test: Remove 'YACC' from the environment, so
that it won't be erroneously picked up by `make -e'.
* tests/yflags2.test: Likewise.
---
 ChangeLog          |    7 +++++++
 tests/yflags.test  |    6 +++++-
 tests/yflags2.test |    6 +++++-
 3 files changed, 17 insertions(+), 2 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 98e5792..d581625 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,10 @@
+2011-01-22  Stefano Lattarini  <address@hidden>
+
+       tests: fix spurious failures in yflags*.test
+       * tests/yflags.test: Remove 'YACC' from the environment, so
+       that it won't be erroneously picked up by `make -e'.
+       * tests/yflags2.test: Likewise.
+
 2010-06-21  Ralf Wildenhues  <address@hidden>
 
        Fix minor testsuite issues, update docs, for Yacc/Lex changes.
diff --git a/tests/yflags.test b/tests/yflags.test
index fcb0c64..dbc3a73 100755
--- a/tests/yflags.test
+++ b/tests/yflags.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2010 Free Software Foundation, Inc.
+# Copyright (C) 2010, 2011 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -30,6 +30,10 @@ echo 'extern int dummy;' >> y.tab.c
 END
 chmod a+x fake-yacc
 
+# Remove Yacc from the environment, so that it won't interfere
+# with `make -e' below.
+unset YACC || :
+
 cat >> configure.in <<'END'
 AC_PROG_CC
 # Simulate presence of Yacc using our fake-yacc script.
diff --git a/tests/yflags2.test b/tests/yflags2.test
index 346c2e4..02aed8d 100755
--- a/tests/yflags2.test
+++ b/tests/yflags2.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2010 Free Software Foundation, Inc.
+# Copyright (C) 2010, 2011 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -31,6 +31,10 @@ echo 'extern int dummy;' >> y.tab.c
 END
 chmod a+x fake-yacc
 
+# Remove Yacc from the environment, so that it won't interfere
+# with `make -e' below.
+unset YACC || :
+
 cat >> configure.in <<'END'
 AC_PROG_CXX
 # Simulate presence of Yacc using our fake-yacc script.
-- 
1.7.2.3


reply via email to

[Prev in Thread] Current Thread [Next in Thread]